package com.steerinfo.associate.maintenancerecord.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="null")
public class MaintenanceRecord implements IBasePO<String> {
    /**
     * 维修记录编号(MAINTENANCE_RECORD_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="维修记录编号",required=true)
    private String maintenanceRecordNo;

    /**
     * 设备编号(EQUIPMENT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="设备编号",required=true)
    private String equipmentNo;

    /**
     * 班组编号(TEAM_GROUP_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="班组编号",required=true)
    private String teamGroupNo;

    /**
     * 开始时间(START_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="开始时间",required=false)
    private Date startTime;

    /**
     * 结束时间(END_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="结束时间",required=false)
    private Date endTime;

    /**
     * 故障现象(FAULT_PHENOMENON,VARCHAR,255)
     */
    @ApiModelProperty(value="故障现象",required=false)
    private String faultPhenomenon;

    /**
     * 处理结果(RESULT_HANDLING,VARCHAR,255)
     */
    @ApiModelProperty(value="处理结果",required=false)
    private String resultHandling;

    /**
     * 处理人(DISPOSE_MAN_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="处理人",required=false)
    private String disposeManName;

    /**
     * 提报人(SUBMISSION_MAN_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="提报人",required=false)
    private String submissionManName;

    /**
     * 记录人(RECORD_MAN_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录人",required=false)
    private String recordManName;

    /**
     * 状态（1：有效；0：无效）(VAILD_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态（1：有效；0：无效）",required=true)
    private String vaildFlag;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间（YYYY-MM-DD HH:mm:SS）(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间（YYYY-MM-DD HH:mm:SS）",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间（YYYY-MM-DD HH:mm:SS）(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间（YYYY-MM-DD HH:mm:SS）(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间（YYYY-MM-DD HH:mm:SS）",required=false)
    private Date deleteTime;

    /**
     * 设备名称(EQUIPMENT_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="设备名称",required=true)
    private String equipmentName;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.maintenanceRecordNo;
    }

    @Override
    public void setId(String maintenanceRecordNo) {
        this.maintenanceRecordNo = maintenanceRecordNo == null ? null : maintenanceRecordNo.trim();
    }

    public String getMaintenanceRecordNo() {
        return maintenanceRecordNo;
    }

    public void setMaintenanceRecordNo(String maintenanceRecordNo) {
        this.maintenanceRecordNo = maintenanceRecordNo == null ? null : maintenanceRecordNo.trim();
    }

    public String getEquipmentNo() {
        return equipmentNo;
    }

    public void setEquipmentNo(String equipmentNo) {
        this.equipmentNo = equipmentNo == null ? null : equipmentNo.trim();
    }

    public String getTeamGroupNo() {
        return teamGroupNo;
    }

    public void setTeamGroupNo(String teamGroupNo) {
        this.teamGroupNo = teamGroupNo == null ? null : teamGroupNo.trim();
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getFaultPhenomenon() {
        return faultPhenomenon;
    }

    public void setFaultPhenomenon(String faultPhenomenon) {
        this.faultPhenomenon = faultPhenomenon == null ? null : faultPhenomenon.trim();
    }

    public String getResultHandling() {
        return resultHandling;
    }

    public void setResultHandling(String resultHandling) {
        this.resultHandling = resultHandling == null ? null : resultHandling.trim();
    }

    public String getDisposeManName() {
        return disposeManName;
    }

    public void setDisposeManName(String disposeManName) {
        this.disposeManName = disposeManName == null ? null : disposeManName.trim();
    }

    public String getSubmissionManName() {
        return submissionManName;
    }

    public void setSubmissionManName(String submissionManName) {
        this.submissionManName = submissionManName == null ? null : submissionManName.trim();
    }

    public String getRecordManName() {
        return recordManName;
    }

    public void setRecordManName(String recordManName) {
        this.recordManName = recordManName == null ? null : recordManName.trim();
    }

    public String getVaildFlag() {
        return vaildFlag;
    }

    public void setVaildFlag(String vaildFlag) {
        this.vaildFlag = vaildFlag == null ? null : vaildFlag.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    public String getEquipmentName() {
        return equipmentName;
    }

    public void setEquipmentName(String equipmentName) {
        this.equipmentName = equipmentName == null ? null : equipmentName.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", maintenanceRecordNo=").append(maintenanceRecordNo);
        sb.append(", equipmentNo=").append(equipmentNo);
        sb.append(", teamGroupNo=").append(teamGroupNo);
        sb.append(", startTime=").append(startTime);
        sb.append(", endTime=").append(endTime);
        sb.append(", faultPhenomenon=").append(faultPhenomenon);
        sb.append(", resultHandling=").append(resultHandling);
        sb.append(", disposeManName=").append(disposeManName);
        sb.append(", submissionManName=").append(submissionManName);
        sb.append(", recordManName=").append(recordManName);
        sb.append(", vaildFlag=").append(vaildFlag);
        sb.append(", memo=").append(memo);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", equipmentName=").append(equipmentName);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}